Subject: Re: bug#24206: 25.1; Curly quotes generate invalid strings, leading to a segfault

From: Andreas Schwab <[email-masked]>
Date: Mon, 15 Aug 2016 18:46:19 +0200

On Aug 15 2016, Eli Zaretskii <[email-masked]> wrote:

> I'm not sure.  We never discussed what should Emacs do when
> substitute-command-keys is called on a unibyte non-ASCII string which
> requires quote substitution.

Unibyte strings should not be used for anything but pre-decoding /
post-encoding situations directly after / before doing the actual I/O
operation.  Thus substitute-command-keys should never be called with an
undecoded unibyte string.  IMHO it would be ok to return something
useless in this case (but it shouldn't cause Emacs to crash, of course).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."